package com.javahonk.fix.test;

import quickfix.fix42.ExecutionReport;

import com.javahonk.fix.mediator.PhysicalSettlementCollegue;
import com.javahonk.fix.mediator.PhysicalSettlementCollegueImpl;
import com.javahonk.fix.mediator.PhysicalSettlementMediator;
import com.javahonk.fix.mediator.PhysicalSettlementMediatorImpl;
import com.javahonk.fix.model.LifeCycleManagerModel;

public class SendPhysicalSettlementByMediator {

	public static void main(String[] args) {
		
		PhysicalSettlementMediator physicalSettlementMediator = new PhysicalSettlementMediatorImpl();
		PhysicalSettlementCollegue fixMessageSenderCollegue = new PhysicalSettlementCollegueImpl(physicalSettlementMediator);
		LifeCycleManagerModel lifeCycleManagerModel = new LifeCycleManagerModel();
		lifeCycleManagerModel.setOrderID("123456");
		lifeCycleManagerModel.setUnderlier("AAPL");
		lifeCycleManagerModel.setQuantity(123.0);
		lifeCycleManagerModel.setUndPrice(369.36);
		ExecutionReport acknowledgement = fixMessageSenderCollegue.sendPhysicalSettlementOrder(lifeCycleManagerModel);
		System.out.println("Acknowledgement received: --> "+acknowledgement);
	}

}
